FusionForge 6.0.5:
* Docman: fix XSS attack (Roland Mas)
* Forum: fix redirection cache [#835] & [#836] (TrivialDev)
* FRS: fix error message on file upload with accent in filename [#838] (TrivialDev)
* Plugin SCM SVN: fix activity when SVN repository is private [#813] (TrivialDev)
* Plugin SCM SVN: fix support old svn clients (Inria)
* Plugin SCM Git: fix activity when Git repository is private [#825] (TrivialDev)
* Plugin MoinMoin: fix httpd permissions & 404 on CentOS [#809] (TrivialDev)
* Project Task: fix CSV import [#823] (Peter Katzmann)
* Project Task: fix CSV import [#823]: add missing translation, add missing category in no header import,
                fix start/end date format description (TrivialDev)
* Tracker: fix artifact deletion with votes [#819] (TrivialDev)
* Tracker: fix downloadcsv missing vote values [#828] (TrivialDev)
* SOAP: fix addArtifactFile [#833] (Philipp Keidel)
* SOAP: Security Fixes (Roland Mas)

FusionForge 6.0.4:
* Account Management System: fix sysCreateUser for UNIX: unix_gid dropped (TrivialDev)
* Accounts: do not accept digits-only user and group names, to avoid confusion with UID/GID in system commands (Inria)
* Accounts: drop redundant (and insecure) unsalted MD5 password hashes from the database (Inria)
* Accounts: trigger system replication when user changes password or shell (Inria)
* Accounts: passwords hashes: increase md5crypt salt length to 8; fix invalid Blowfish salt (Inria)
* Accounts: passwords hashes: add support for SHA256/SHA512 (Inria)
* Accounts: fix supported ssh keys types - again (Inria)
* Docman: fix folder tree to support Chrome correctly. open/closing folders [#810] (TrivialDev)
* FRS: fix shownotes.php link. Use new url form. view=shownotes (TrivialDev)
* FRS: frs latest zip migration script hardening (TrivialDev)
* MTA-Exim4: restart exim4 on install
* News: pending site news e-mail reminder: properly filter out private projects (Inria)
* Plugin cvstracker: fix permission issues 
* Plugin SCM: fix another race condition when creating project with SCM selected (Inria)
* Plugin SCM Git: improve user matching when computing stats, support git .mailmap (Inria)
* Plugin SCM Git: fix history browsing. Merge Patch from Sieu Truc [#802] (TrivialDev)
* Plugin SCM SVN: fix HTTP commit access for old SVN 1.7 clients (Inria)
* Plugin SCM SVN: fix activity and getCommits when there is no commits. "my latest commits" returns unwanted error. [#811] (TrivialDev)
* Plugin scmhook: fix non-editable mailing list name in some configurations (Inria)
* Plugin scmhook: fix migration scripts svntracker To ScmhookCommitTracker & svncommitemail To ScmHookCommitEmail (TrivialDev)
* Plugin MediaWiki: fix permission error when upgrading suspended projects database (Inria & TrivialDev)
* Plugin MediaWiki: restore access to public dumps at /plugins/mediawiki/dumps/ (Inria)
* Plugin Projects Hierarchy: don't display a project as possible child if there's no read access to it (Inria)
* Plugin Projects Hierarchy: mask delegation checkbox until implementation is complete [#797] (Inria)
* Plugin Projects Hierarchy: prevent auto-validation of parent-child requests [#796] (Inria)
* Plugin Taskboard: fix blank admin page when project tracker is disabled (Inria)
* Updated simplified Chinese translation (Mingye Wang)
* Site Admin: fix grouplist.php listing projects using specific plugin [#800] (TrivialDev)
* Site Admin: massmail, fix typo [#805] (TrivialDev)
* Work on compatibility with PHP7 (Roland Mas)
* Reporting: fixed missing global variable [#812] (Michael Kluge)

FusionForge 6.0.3:
* Layout: fix rss url when url is absolute (TrivialDev)
* Accounts: accept more elliptic curve ssh keys types (Unit 193 & Inria)
* Accounts: fix missing system privileges when using "Add Users From List" (Inria)
* Docman: fix filesize sort [#784] (TrivialDev)
* News: allow moderating news comments even if the Forum tool is disabled (Inria)
* Plugin SCM: fix race condition when creating project with SCM selected (Inria)
* Plugin SCM SVN: fix repo access to RO group (Inria)
* Plugin SCM Git: work-around for iframe access to private projects' gitweb from Firefox 40 (Inria)
* Plugin scmhook: git committracker: fix groupname detection on multi-server setup (Inria)
* Plugin scmhook: git postreceiveemail: don't prepend [projectname] in subject by default (Inria)
* Plugin Taskboard: remove in-progress French translation (Inria)
* Plugin Taskboard: block dropping item on columns with resolution "closed" [#781] (TrivialDev)

FusionForge 6.0.2:
* Accounts: fix elliptic curve ssh keys support (Inria)
* Project stats: fix misleading label on statistics default empty graph (Inria)
* Project stats: fix weekly aggregation and display (Inria)
* Mailing lists: fix description encoding depending on Mailman version (Inria & Thorsten Glaser)
* Mailing lists: fix default list URL path (Inria)
* Mailing lists: fix installation on CentOS (Inria)
* FRS: don't reset permissions when derefencing roles in other projects [#782] (Inria)
* FRS: do not display hidden releases publicly (TrivialDev & Inria)
* FRS: revert Notes and ChangeLog as optional fields - also when editing releases (Inria)
* Tracker: fix column title in add/update custom field elements (TrivialDev)
* Software Map: use "GNU/Linux" instead of "Linux" when referring to the OS (Inria)
* Snippets: allow forge administrator to delete snippets (Inria)
* Plugin Taskboard: fix logic on initialize error (TrivialDev)
* Plugin Taskboard: fix background column color setting (TrivialDev)

FusionForge 6.0.1:
* Accounts: accept elliptic curve ssh keys (Unit 193)
* Accounts: fix project join request form [#778] (Inria)
* Accounts: user home: fix missing full name when there's a title (Inria)
* SCM: fix commit privileges (*_scmro group membership) (Inria)
* SCM: kill stalled Apache processes (Inria)
* Forum: fix conflict between attachments and pending attachments [#662] (Inria)
* FRS: display new releases first (Roland Mas, for Inria)
* FRS: revert Notes and ChangeLog as optional fields (Inria)
* FRS: fix administration link in project Tools page (Inria)
* FRS: fix per-release .zip for old uploads [#774] (TrivialDev and Inria)
* FRS: fix links to release .zip when the package contain spaces (Inria)
* Tracker: fix description re-html-ization when editing item (Inria)
* Tracker: fix HTML entities in mail notifications (Inria)
* Tracker: provide a "Submit" button below the "add a comment" field [#776] (TrivialDev)
* Tracker: on item update, notify users who monitor the whole tracker (Inria)
* Tracker/FRS/Docman/Forum: allow viewing text and image files within the browser [#773] (Inria)
* Activity: commit log now works with private projects (Inria)
* Widgets: MyProjects: only display active projects (Inria)
* Widgets: MyLatestCommits, ProjectLatestCommits: now works with private projects (Inria)
* SCM SVN: fix double-compression in ViewVC (Inria)
* SCM SVN: support files with spaces in ViewVC (Inria)
* SCM SVN: fix permissions in migration script (Inria)
* Plugin scmhook: git commitemail: fix subject, handle special chars, sync script with upstream (Roland Mas and Inria)
* Plugin scmhook: fix hook deactivation (Inria)
* Plugin scmhook: fix predictable temporary file name (Roland Mas)
* Disable forceful gzip compression, mitigates BREACH attacks [#779] (tarent solutions GmbH and Inria)
* Doc clean-up (Inria)

FusionForge 6.0:
* New install system [#710] (Inria)
* Reactivity: system replication is now performed immediately (rather than waiting for cron jobs) [#147] (Inria)
* SCM: Concurrent SSH and HTTPS access, relying on Apache mod_itk [#519] (Roland Mas and Inria)
* SCM: Allow projects to use several SCM engines in parallel [#751] (Roland Mas, for CEA)
* SCM: Support read-only access to private projects via SSH (Inria)
* SCM: Browsing support for (Git) private repositories [#519] (Roland Mas, for AdaCore)
* SCM: Anonymous read-only access through xinetd and rsync (Inria)
* System: Users now use a common default group ("users") rather than per-user group; avoids conflicts with project groups [#760] (Inria)
* Docman: Basic Webdav write mkcol, delete, put, move support [#658] (TrivialDev)
* Docman: Add move mass actions [#657] (TrivialDev)
* Docman: Direct link to file details [#747] (TrivialDev)
* Docman: Rewrite parser using unoconv, support more file formats [#749] (Roland Mas, for CEA)
* FRS: Enable widget "My monitored packages" [#697] (TrivialDev)
* FRS: Provide new role settings [#705] (TrivialDev)
* FRS: Add delete packages, releases or files mass action [#713] (TrivialDev)
* FRS: Provide link to download any release as ZIP file [#737] (TrivialDev)
* FRS: Fix RBAC migration script [#765] (TrivialDev)
* FRS: Reorganise code [#692] (TrivialDev)
* Web UI: drop tipsy plugin, use standard jQuery UI tooltip already provided [#656] (TrivialDev)
* Web UI: FusionForge Theme & jQuery UI theme sync [#663] (TrivialDev)
* Web UI: Update the jQuery & jQuery UI frameworks [#664] (TrivialDev)
* Web UI: feedback, error_msg, warning_msg are now store in cookie [#669] (TrivialDev)
* Web UI: Update the jQuery Auto-height plugin [#716] (TrivialDev)
* Web UI: Updated French translation (Stéphane Aulery and Inria)
* Widget Public Area: display FRS link [#684] (TrivialDev)
* Widget My Latest Commits: New widget to display user commits on "My Page" [#743] (TrivialDev)
* Widget Project Latest Commits: New widget to display the 5 latest commits on the project page (TrivialDev)
* Widget Project Latest Documents: enhancement, add actions buttons (monitor, delete) [#745] (TrivialDev)
* Tracker: Enable support for multi-select extrafield in roadmap [#655] (TrivialDev)
* Forum: Store the attached file on FS [#662] (TrivialDev)
* vhosts: Allow customization from <config_dir>/custom/httpd.vhosts.tmpl (Inria)
* Plugin SCM SVN: Improved ViewVC integration, using external installation [#719] (Inria, TrivialDev)
* Plugin SCM Git: Activity log entry link to commit log in SCM browsing tab [#719] (TrivialDev)
* Plugin SCM Hg (Mercurial): Display the Repository History stats block [#724] (TrivialDev)
* Plugin SCM Hg (Mercurial): Add support for project activity tab [#725] (TrivialDev)
* Plugin SCM Hg (Mercurial): Activity log entry link to commit log in SCM browsing tab [#726] (TrivialDev)
* Plugin scmhook: Update git post-receive email hook (tarent solutions GmbH, Teckids e.V.)
* Plugin scmhook: Install hooks as the requesting system user (Inria)
* Plugin AuthLDAP: Support LPAP_OPT_REFERRALS option, needed by ActiveDirectory Server [#734] (TrivialDev)
* Plugin Task Board: New Agile TaskBoard supporting Scrum and Kanban methodologies (Vitaliy Pylypiv and TrivialDev)

Fusionforge-5.3.5:
* Cronjob: fix PHP syntax in db_trove_main (TrivialDev)
* Widgets MyTasks, MyMonitoredForums show no entries. Wrong permission check [#790] (TrivialDev)
* Plugin Wiki: fix display in activity project tab, wrong hook check variable (TrivialDev)
* SCM: fix direct HTTP access with Apache 2.4 (Inria)

Fusionforge-5.3.4:
* CVE-2015-0850: Prevent arbitrary command execution via clone URL
  parameter of the method to create secondary Git repositories. Found
  by Ansgar Burchardt <ansgar@debian.org>.

Fusionforge-5.3.3:
* User e-mail change: simplify confirmation hash and precise encoding to avoid mangling in some versions of Thunderbird and Apple Mail [#738] (Inria)
* Project homepage: default to http:// rather than https:// for external homepage links [#752] (Inria)
* Site stats: fix "new users" and "new groups" charts (Inria)
* SCM: use 'shell_host' variable (or failing that, 'web_host') to document where users can SSH to the group shared directory [#698] (Inria)
* SCM stats: fix order in stats block [#736] (TrivialDev)
* System replication: refresh nscd cache before applying changes, fix spurious warning output from cron jobs (Inria)
* Docman: fix edit file when filename has quote [#750] (TrivialDev)
* Docman: fix move to files to fs script [#763] (TrivialDev)
* FRS: wrong tooltip displayed in admin page [#703] (TrivialDev)
* PM: fix test on success [#762] (TrivialDev)
* PM: fix allow new tasks without replace older one [#761] patch from Philipp Keidel (TrivialDev)
* Tracker: fix delete elements of an extrafield [#758] (TrivialDev)
* Plugin AuthLDAP: error and warning messages displayed twice [#732] (TrivialDev)
* Plugin AuthLDAP: fix check user status before login [#767] (TrivialDev)
* Plugin scmhook: fix display when only one SCM plugin enabled [#735] (TrivialDev)
* Plugin Hudson: fix global status in Hudson Job widget [#740] (TrivialDev)
* Plugin Hudson: delete jobs on project deletion [#742] (TrivialDev)
* Plugin MediaWiki: activate MediaWiki extensions (in the database) when creating a new project wiki (Thorsten Glaser & Inria)
* Plugin MediaWiki: integrate e-mail from FusionForge account, to send watchlist notifications (Inria)
* Plugin OSLC: Undefined index: is_public [#748] (TrivialDev)
* I18N: updated French translation (Stéphane Aulery and Inria)
* Project deletion: fix failure to delete project if tools have been deleted [#681] (Roland Mas)

Fusionforge-5.3.2:
* Software map: fix "value too long for type character varying(255)" error in cron db_trove_maint.php (Inria)
* Projects: fix Project name with html [#687] (TrivialDev)
* Projects: don't display admins if their account is suspended (Inria)
* Projects: member lists should check permission [#711] (TrivialDev)
* Admin: fix edit table themes, fix frs_processor sequence [#691] (TrivialDev)
* User SSH keys (ssh_create.php): fix harmless warning when user removes all her keys (Inria)
* News: don't send requests for frontpage display for private projects (Inria)
* Docman: fix download count [#702] (TrivialDev)
* Tracker: fix translation support [#688] (TrivialDev)
* Tracker: fix custom status extrafield not updateable using mass update [#712] (TrivialDev)
* Mailing lists: handle quotes and accents in description (Inria)
* SCM Reporting: fix legend block size exceed graph canvas [#718] (TrivialDev)
* Plugin mediawiki: fix paths in import/export scripts (Inria)
* Plugin fckeditor: dropped in favor of ckeditor
* Plugin SCM Git: suppress 'warning: You appear to have cloned an empty repository.' in create_scm_repos.php (Inria)
* Plugin SCM SVN: fix sql error in activity tab on init log [#715] (TrivialDev)
* Plugin SCM SVN: fix activity tab on empty commit log [#714] (Inria)
* Plugin SCM HG (Mercurial): fix user stats [#722] (TrivialDev)
* Plugin SCM HG (Mercurial): fix iframe size [#721] (TrivialDev)
* Plugin SCM HG (Mercurial): fix ssl setting [#723] (TrivialDev)
* Stats: handle bad encoding when gathering Git stats, remove spurious warning when SVN repository isn't created yet (Inria)
* Stats: fix commits count [#717] (TrivialDev, Roland Mas)
  Run 'forge_run_job gather_scm_stats.php --all' to regenerate your stats.
  Optionally, if some of your repositories have history dating from before the project was created on the forge, use '--allepoch' instead

Fusionforge-5.3.1:
* Docman: Basic Webdav write mkcol support (TrivialDev)
* Docman: fix Webdav access in some PHP configurations (Inria)
* Docman: fix empty home document tree when there was documents pending for approval (Inria)
* Docman: fix massaction with IE8 [#642] (TrivialDev)
* Docman: fix empty root folder in zipfile [#640] (TrivialDev)
* FRS: maintain compatibility with v<=5.1 download URLs (Inria)
* Tracker: fix email link in notification [#668] (TrivialDev)
* Tracker: fix 404 in roadmap ajax call [#675] (TrivialDev)
* Tracker: user-friendly error message when tracker is not enabled in a project (Inria)
* Tracker: fix file size for text attachments (Inria)
* Forum: fix database error in rare conditions when saving position (Inria)
* Forum: fix incorrect access check to post moderation (Inria)
* Web UI: Fix issue with old cookie that prevented user login after upgrade (Inria)
* Plugin activation/desactivation (including switching VCS): optimize role normalization (Inria)
* Home directories creation: optimize memory usage (Inria)
* User SSH keys (ssh_create.php): deploy keys as-needed, mark deployed keys in the web interface, purge deleted keys (Inria)
* SCM repositories creation: optimize memory usage (Inria)
* SCM SVN: 'svnroot-access' update: abort in case of DB error rather than writing an incomplete file [#678] (Inria)
* SCM Git: fix personal repositories creation which failed in some configurations (Inria)
* SCM Git: optimize sub-repositories detection time (Inria)
* Mailing lists: site-wide list configuration override in core:config_path/custom/mailman-config_list.conf (Inria)
* Mailing lists: reconfigure lists as-needed (Inria)
* Mailing lists: remove non-error output to prevent cron from sending e-mails (Inria)
* Homepages: new httpd_log_demux.php utility to split Apache logs per-project (Inria)
* Cron jobs: add locking to avoid parallel runs of the same cron job (Inria)
* get_news_notapproved.pl: upgrade for 5.3 (Inria)
* Migration scripts: handle orphan data when adding relational constraints; more clean-ups for "veteran" databases (Inria)
* Migration scripts: fix permissions for new directories in core:data_path after migrating attachments from database to filesystem (Inria)
* Migration scripts: migrate all user SSH keys to new interface (Inria)
* Security: harden account name validation to detect trailing newlines (Inria)
* Plugin scmhook: fix configuration reset when switching back&forth between SCM (Inria)
* Plugin message: handle empty site message (Inria)
* Plugin mediawiki: fix icon in project page link (Inria)
* Plugin hudson: fix roles access in widgets [#683] (TrivialDev)
* Admin User: fix unix_status [#666] (TrivialDev)
* Search: fix roles based access to documents using the search engine [#682] (TrivialDev)
* Forum: disable monitoring when not logged [#686] (TrivialDev)

FusionForge-5.3:
* Widget: MyArtifacts Enhancement : add monitored artifacts (TrivialDev)
* Trackers: Attachements moved to filesystem to allow larger attachments & reduce DB size (Alcatel-Lucent)
* Docman: Files moved to filesystem using the Storage generic class (TrivialDev)
* Users: notify admins when user has validated his account (TrivialDev)
* Allow project to disable the Project Activity (Alcatel-Lucent)
* User: account ssh key management: rewrite backend, add more informations such as
        fingerprint, deploy flag, easy delete (TrivialDev)
* Docman: Directory monitoring (TrivialDev)
* Activity: New Directory appears now in activity (TrivialDev)
* Docman: Display number of download per file, max upload size (TrivialDev)
* Widget: Project Document Activity : new or updates files, new directories, in the last 4 weeks (TrivialDev)
* Frs: Download statistics are available as graph now (TrivialDev)
* New SOAP services to handle adding/removing groups, users and tasks (patch by Pasquale Vitale)
* Docman: add report view as in FRS (TrivialDev)
* New javascript based graphics (bybye jpgraph) (TrivialDev)

Plugins:
* headermenu: new plugin to handle links in headermenu, outermenu & groupmenu (TrivialDev)
* scmgit: add browsing capability for user personal repository (TrivialDev)
* scmgit: basic activity support (TrivialDev).
* scmgit: multiple repositories per project (developed for/sponsored by AdaCore)
* scmhg: merge patch from Denise Patzker: add http support, online browse, stats (TrivialDev)
* webanalytics: new plugin to add support for piwik or google analytics tool (TrivialDev)
* scmhook: Support added for pre-revprop-changehooks to change properties (Alcatel-Lucent)
* scmhook: Add commitEmail support for scmhg plugin (TrivialDev)
* new admssw plugin to provide ADMS.SW compatible RDF descriptions of projects
* blocks: improved with a new HTML widget for the project summary page (Alcatel-Lucent)
* svntracker : this plugin is superseed by scmhook
* svncommitemail : this plugin is superseed by scmhook
* new phpcaptcha plugin : enable a captcha in the register page. (TrivialDev)

FusionForge-5.2:
* Docman: inject zip as a tree (Capgemini)
* Widget: New User Widget: Last 5 documents published in my project (Capgemini)
* Docman: mass action (Capgemini)
* New Message plugin to display global messages like planned upgrade or outage
  (Alcatel-Lucent).
* Docman: complete rewritten of trash and pending view (Capgemini)
* New Scmhook: complete library to handle hooks for any scm available in
  fusionforge. Currently supporting post-commit and pre-commit hook.
  scmsvn pre-commit and post-commit library is provided (Capgemini)
* New Widget: scmgit personal URL of cloned repositories. Currently just
  a list of URLs of your personal repository cloned from project you
   belong. (Capgemini)
* Docman: interaction with the projects-hierarchy plugin to enable hierarchical
  browsing. (Capgemini)
* Admin: User add membership to multiples projects in one shot (Capgemini)
* New MoinMoinWiki plugin (developed for/sponsored by AdaCore)
* Trackers: New view to display roadmaps view for trackers (Alcatel-Lucent)
* scmsvn: private project can now be browsed with viewvc using user rights management (TrivialDev).
* scmsvn: basic activity support (TrivialDev).
* New doaprdf and foafprofiles plugins which provide RDF descriptions of projects and
  people (Institut Telecom via COCLICO project)


FusionForge-5.1:
* Theme: new Funky Theme (Capgemini)
* Docman: new UI (Capgemini)
* Docman: extract documents and directories as zip archive (Capgemini)
* Docman: rebirth of URL and online creation documents (better with
  HTML editor) (Capgemini)
* Docman: new reservation document feature (Capgemini)
* HTML Editor: available in task PM (Capgemini)
* Trackers: New progress bar to view completion state (when custom
  status field is used) (Alain Peyrat)
* Trackers: Sorting improved to allow text & select fields (Alcatel-Lucent)
* [#127] Patch to auto approve projects.
* scmgit plugin now allows project members to request a personal git
  repository as a clone of the current project's one (developed
  for/sponsored by AdaCore)
* New blocks plugin, to add free HTML blocks on top of each tools of
  the project allowing admins to add free descriptions
  (Alcatel-Lucent), (better with fckeditor plugin).
* New unobtrusive tooltip system based on jquery and tipsy to replace
  old help window (Alcatel-Lucent)
* New gravatar plugin to display faces of users using the Gravatar
  service (Alain Peyrat)
* More flexible and more powerful role-based access control system
  (Roland Mas, Coclico)
* Unified configuration system, now using standard *.ini files (Roland
  Mas)
* Template projects: there can be several of them, and users
  registering new projects can pick which template to clone from for
  their new projects (Roland Mas, Coclico)
* Reorganised, modular Apache configuration (Roland Mas)
* New User Widget : documents monitoring (Capgemini)
* RPM packages for Red Hat (and derived) distributions
* New extratabs iframe option to allow embeding another site using an
  iframe (Alcatel-Lucent)
* Improved Spanish translation (Libresoft)

FusionForge-5.0.3:
* Maintenance release, bugfixes mostly.  Summary of changes:
* htmlpurifier upgraded to 4.3.0
* mailing lists now are as public as the project they’re in upon creation possible data leak, security fix, spotted by <scamp:#fusionforge>, 10x!
* MFC r11973: Fix XSD conformity errors in the generated WSDL.
* Stop trying to copy unneeded libcap into chroot
* Applied patch [#214]: PHP warning if search query is empty
* Added missing spaces to fix SQL queries [#208]
* [#207] Backport file from trunk to fix php warning in project_hierarchy plugin
* Fixed database credentials used for MTA and NSS on new installations
* Improve SVN checkout message and allow pure anonymous access for svn over http (webdav)
* Fix warning if no mailman-aliases files.
* Source install: No chgrp(scm_*) when no shell as groups are not created
* CVS plugin: clear warning when removing non existing files (at least for the first run)
* Source install: Disabling crons: tarball.php no longer available, get_news_approved.pl not working
* Allow user to register projects by default.
* Remove xslt on svn example file (for http).
* Fixed hang during removal of -mta-postfix in some conditions
* Fixed Mediawiki creation script so it uses the appropriate database and user
* Fixed XSS vulnerability reported by 'Bluetouff'
* Validate mailing-list names when creating/deleting them
* Merged updated translations from Pootle (Spanish and Italian)
* Handle amd64 architectures and add missing files in chroot creation
* Support rsyslog as well as syslogd
* Fixed bad detection of PostgreSQL's init script
* Fix URL for roadmap
* Fix for bug #200
* Fix admin_table_postadd
* htmlpurifier upgraded to 4.2.0
* Fixed SQL query in snippet browsing
* Fix database creation problems in case of an SQL_ASCII default for PostgreSQL

FusionForge-5.0.2:
* Maintenance release, bugfixes mostly.

FusionForge-5.0.1:
* Maintenance release, bugfixes and translations only.

FusionForge-5.0:
* New projectlabels plugin, to tag projects with snippets of
  user-defined HTML (developed for/sponsored by Adullact)
* New extratabs plugin, to add tabs with links to arbitrary URLs
  (Adullact again)
* New globalsearch, allowing cross-forge searching of projects
* Users can log in with their email address (in addition to login
  name) if sys_require_unique_email is true (developed for/sponsored by AdaCore)
* Site admin can now optionally enforce the acceptance of terms of use
  on account creation (AdaCore again)
* Site admin can now optionnally block anonymous downloads from the
  FRS (AdaCore again)
* New command-line scripts to inject users, groups and file releases
  into the database from text files (AdaCore again)
* Trackers: The list of fields displayed when browsing the list of artifacts
  can now be defined (Alcatel-Lucent)
* Trackers: The description field can now be updated/corrected (Alcatel-Lucent)
* Trackers: It is now possible to force a custom field to be mandatory (Alcatel-Lucent)
* Trackers: The values for 'select box' custom fields can now be reordered (Alcatel-Lucent)
* Trackers: A workflow on the status field (when overwritten) can be set. Allowed
  transition between values can be defined and allowed per roles (Alcatel-Lucent)
* Trackers: A new type of extra field has been added: Relation between artifact.
  This type allow to create a relation between artifacts. Backwards relation can
  also be visible (Alcatel-Lucent)
* Trackers: Dynamic links added, expressions like [#NNN],[TNNN] are now rendered as
  links for description and comments (Alcatel-Lucent).
* Trackers: Search improved to allow searching in text fields (Alcatel-Lucent).
* Trackers: New system to share a search query. Shared queries can be represented
  as an URL or bookmarked. It is also possible to define one query as the default
  one (Alcatel-Lucent)
* Trackers: Custom fields are now preserved (if same name and value) when moving an
  artifact (Alcatel-Lucent)
* Trackers: New custom field type: Integer (Alain Peyrat)
* Version control subsystem: completely rewritten.  New plugins add
  support for Arch, Bazaar, Darcs, Git, Mercurial.
* Mediawiki plugin: mostly rewritten.  Now creates independent wikis
  for projects, allowing different sets of permissions.
* Forums: New 'move' option to move a thread from one forum to another (Alcatel-Lucent).
* Tasks: Improved CSV import/export (Alcatel-Lucent)
* Global: rework of the default theme, for better accessibility, maintainability and
  conformance (developed by Open-S for Adullact)
* New contribtracker plugin, to give visibility to major contributors
  to projects (developed for/sponsored by Adullact)

FusionForge-4.8.3:
* Maintenance release, only bugfixes.

FusionForge-4.8.2:
* Maintenance release, security and bugfixes.

FusionForge-4.8.1:
* Maintenance release, only bugfixes.

FusionForge-4.8:
* New classification by tags (aka tag cloud)
* New reporting page on frs to view the downloads per package
* List of all projects added in 'Project List'
* New version of wiki plugin, using lastest svn code

# Local Variables:
# mode: text
# End:
